Package uk.ac.starlink.topcat.plot

# Class ColumnDataTable

java.lang.Object
uk.ac.starlink.table.AbstractStarTable
uk.ac.starlink.table.RandomStarTable
uk.ac.starlink.table.ColumnStarTable
uk.ac.starlink.topcat.plot.ColumnDataTable

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `uk.ac.starlink.table.StarTable`

public class ColumnDataTable extends uk.ac.starlink.table.ColumnStarTable
Table class built up from ColumnData objects. Two instances of this class will be `equal` if they have the same TopcatModel and columns which are `equal`.

Since:
  1 Jun 2007
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.table.ColumnStarTable

`columns_`

## Constructor Summary

Constructors
Constructor
Description
`ColumnDataTable(TopcatModel tcModel, uk.ac.starlink.table.ColumnData[] cols)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`long`
`getRowCount()`
`TopcatModel`
`getTopcatModel()`
Returns this table's TopcatModel.
`int`
`hashCode()`

### Methods inherited from class uk.ac.starlink.table.ColumnStarTable

`addColumn, getCell, getColumnCount, getColumnData, getColumnInfo, makeTableWithRows, setCell, setColumn`

### Methods inherited from class uk.ac.starlink.table.RandomStarTable

`getRowAccess, getRowSequence, isRandom`

### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

`checkedLongToInt, close, getColumnAuxDataInfos, getName, getParameters, getRow, getRowSplittable, getURL, setName, setParameters, setURL`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.StarTable

`getParameterByName, setParameter`

## Constructor Details

### ColumnDataTable

public ColumnDataTable(TopcatModel tcModel, uk.ac.starlink.table.ColumnData[] cols)
Constructor.

Parameters:
  `tcModel` - topcat model that the columns come from
  `cols` - column data objects

## Method Details

### getTopcatModel

public TopcatModel getTopcatModel()
Returns this table's TopcatModel.

Returns:
  topcat model

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `uk.ac.starlink.table.StarTable`
Specified by:
  `getRowCount` in class `uk.ac.starlink.table.ColumnStarTable`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`